package cn.com.ty.lift.enterprise.organization.dao.mapper;

import cn.com.ty.lift.enterprise.organization.dao.entity.Project;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 项目 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
public interface OrganizationMapper extends BaseMapper<Project> {

//    @Select("select distinct province from project where mt_company_id = ${mtCompanyId}")
//    List<HashMap<String, String>> provinces(@Param("mtCompanyId") Long mtCompanyId);
//
//    @Select("select distinct city from project where mt_company_id = ${mtCompanyId} and province=#{province}")
//    List<HashMap<String, String>> cities(@Param("mtCompanyId") Long mtCompanyId, @Param("province") String province);
//
//    @Select("select distinct district from project where mt_company_id = ${mtCompanyId} and city=#{city}")
//    List<HashMap<String, String>> districts(@Param("mtCompanyId") Long mtCompanyId, @Param("city") String city);
//
//    @Select("select id,project_name projectName,num from project where mt_company_id = ${mtCompanyId} and district=#{district}")
//    List<HashMap<String, String>> projects(@Param("mtCompanyId") Long mtCompanyId, @Param("district") String district);

    @Select("select p.user_id userId,u.avatar_url avatar,u.name name, p.user_role role,u.mobile mobile,p.is_monitor monitor from project_user p left join user_info u on p.user_id = u.user_id where p.project_id = #{projectId} and (p.user_role in (13, 14, 15, 16) or p.is_monitor = 1)")
    List<HashMap<String, Object>> users(@Param("projectId") Long projectId);
}